## 解析解との比較
mu <- param$mu # ドリフト
sigma <- param$sigma # ボラティリティ
Time <- samp@grid[[1]] # サンプル時点
B <- diffinv(dB) # 駆動するブラウン運動
X <- x0 * exp((mu - sigma^2/2) * Time + sigma * B) # 解析解のシミュレーション
## 時系列プロットによる比較
## まず, simulate関数で生成したサンプルパスに対応するzooオブジェクトを取得しプロット
Xhat <- get.zoo.data(result)[[1]] 
str(Xhat)
plot(Xhat, xlab = "t", ylab = "X(t)") # プロット
## 次に, 解析解によるサンプルパスを上書き
lines(zoo(X, Time), # zooに変換しておく
      type = "p", pch = 20, col = "red")
